<?xml version="1.0" encoding="ISO-8859-1" ?>

<!DOCTYPE struts-config PUBLIC
          "-//Apache Software Foundation//DTD Struts Configuration 1.0//EN"
          "http://jakarta.apache.org/struts/dtds/struts-config_1_0.dtd">


<struts-config>

  <!-- ========== Form Bean Definitions =================================== -->
  <form-beans>
      <form-bean name="contactForm" type="com.ferienclub.ta.forms.ContactForm"/>
      <form-bean name="DetailBookingForm" type="com.ferienclub.ta.forms.DetailBookingForm"/> 
      <form-bean name="DummyForm" type="com.ferienclub.ta.forms.DummyForm"/>
  </form-beans>



  <!-- ========== Action Mapping Definitions ============================== -->
  <action-mappings>

   <action path="/contact"
               type="com.ferienclub.ta.actions.RoomListingAction"
               name="contactForm"
              scope="request"
              input="/StartPage.jsp"
           validate="false">
      <forward name="success" path="/RoomListing.jsp"/>
   </action>

   <action path="/detail"
               type="com.ferienclub.ta.actions.RoomDetailAction"
               name="DetailBookingForm"
              scope="request"
              input="/RoomListing.jsp"
           validate="false">
      <forward name="success" path="/RoomDetail.jsp"/>
   </action>

   <action path="/booking"
               type="com.ferienclub.ta.actions.BookingAction"
               name="DetailBookingForm"
              scope="request"
              input="/Booking.jsp"
           validate="false">
      <forward name="initSuccess" path="/Booking.jsp"/>
      <forward name="addUserSuccess" path="/Booking.jsp"/>
      <forward name="bookingSuccess" path="/StartPage.jsp"/>
   </action>

   <action path="/back"
               type="com.ferienclub.ta.actions.BackAction"
               name="DummyForm"
              scope="request"
              input="/RoomListing.jsp"
           validate="false">
      <forward name="success" path="/RoomListing.jsp"/>
   </action>

  </action-mappings>

</struts-config>
